function IBlur(fn, flag)
    if (flag==1) 
        W = ones(3)/9;
    elseif (flag==2)
        W = [1 1 1; 1 2 1; 1 1 1]/10;
    elseif (flag==3)
        W = [1 2 1; 2 4 2; 1 2 1]/16;
    else
        W = [0 0 0; 0 1 0; 0 0 0];
    end
    
    I = imread(fn);
    x = size(I, 1);
    y = size(I, 2);
    I2 = zeros(x+2, y+2);
    I2(2:1:x+1, 2:1:y+1) = I;
    
    J = uint8(zeros(x,y));
    
    for i=1:x
        for j=1:y
            J(i,j) = uint8(sum(sum(W.*double(I2(i:1:i+2, j:1:j+2)))));
        end
    end

    imshow(J);
end
