function J=dilation(I)

    x = size(I, 1);
    y = size(I, 2);
    I2 = zeros(x+2, y+2);
    I2(2:1:x+1, 2:1:y+1) = I;
    
    J = uint8(zeros(x,y));
    
    for i=1:x
        for j=1:y
            t = double(I2(i:1:i+2, j:1:j+2));
            J(i,j) = uint8(max([t(:,1); t(:,2); t(:,3)]));
        end
    end
end
